#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2.5
visibility:           public
id:                   kan-extensions-5.2.5-8GhVZJZvhKYGPh26nAgtWs
key:                  kan-extensions-5.2.5-8GhVZJZvhKYGPh26nAgtWs
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  559e7d7af26c729e01c25799152096ce
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-9.0.2/site-local/kan-extensions-5.2.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/kan-extensions-5.2.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-kan-extensions
hs-libraries:         HSkan-extensions-5.2.5-8GhVZJZvhKYGPh26nAgtWs
includes:             kan-extensions-common.h
depends:
    adjunctions-4.4.2-8m7aai2KY29K6DSiWiHdtp array-0.5.4.0
    base-4.15.1.0 comonad-5.0.8-G5N1oDlHZjOKCAwjAWakFi
    containers-0.6.4.1 contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    distributive-0.6.2.1-ezS7XPSP3pC4ucikckNSx
    free-5.1.10-10eOUpkxmguJKESoaBedEd
    invariant-0.6-6DXbXZqCc7979KyiNTOCK0 mtl-2.2.2
    profunctors-5.6.2-Gasjf2Pdq5oAmjQTcKayfc
    semigroupoids-5.3.7-IDvl6lcuSyi2dbvgEoB1wc
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR transformers-0.5.6.2
    transformers-compat-0.7.2-ZzSHjvD4flB2ChCq5TVbH

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

